Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
82 lines (77 sloc) 1.97 KB
# DISCLAIMER: BEFORE EDITING THIS FILE!
#
# This file has two closely related consequences. The common part is that this
# file defines the content of virtual Python environment used when Robot tests
# are running.
#
# But the virtual environment is also being created on containerized
# environment created by either Nomad cluster (Jenkins, vpp_device) or during
# execution on SUT machines, which might have specific restrictions.
#
# Complete package and setting snapshot (for all container images),
# with network being limited to local only. This implies pip currently being
# set to site-packages only. So if the "container image" applied on the machine
# does not reflect the edits, some installations might fail.
# Even if the failure may not directly impact execution, this leads into
# inconsistency between installed environment and the code base which may lead
# into fatal error or uncaught exceptions.
#
# CSIT Core dependencies
ecdsa==0.13.3
paramiko==2.6.0
pycrypto==2.6.1
pypcap==1.2.3
PyYAML==5.1.1
requests==2.22.0
robotframework==3.1.2
scapy==2.4.3
scp==0.13.2
# Bootstraping dependencies
ansible==2.7.8
# PLRsearch dependencies
dill==0.2.8.2
numpy==1.17.3
scipy==1.1.0
# PAL/DOC dependencies
hdrhistogram==0.6.1
pandas==0.25.3
plotly==4.1.1
PTable==0.9.2
Sphinx==2.2.1
sphinx-rtd-theme==0.4.0
sphinxcontrib-programoutput==0.15
sphinxcontrib-robotdoc==0.11.0
# VPP requirements
ply==3.11
# PIP freeze dependencies
alabaster==0.7.12
Babel==2.7.0
bcrypt==3.1.7
certifi==2019.9.11
cffi==1.13.2
chardet==3.0.4
cryptography==2.8
docutils==0.15.2
future==0.18.2
idna==2.8
imagesize==1.1.0
Jinja2==2.10.3
MarkupSafe==1.1.1
packaging==19.2
pbr==5.4.3
pycparser==2.19
Pygments==2.4.2
PyNaCl==1.3.0
pyparsing==2.4.4
python-dateutil==2.8.1
pytz==2019.3
retrying==1.3.3
six==1.13.0
snowballstemmer==2.0.0
sphinxcontrib-applehelp==1.0.1
sphinxcontrib-devhelp==1.0.1
sphinxcontrib-htmlhelp==1.0.2
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.2
sphinxcontrib-serializinghtml==1.1.3
urllib3==1.25.6
You can’t perform that action at this time.